QGIS Application - Bug report #8915
Newline character of Python output is forced to LF only
2013-10-18 10:23 PM - Tarot Osuji

Status: Rejected

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:2.0.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 17591
Description

Execution of following Python code:

f = open(filename, "w")
f.write("FOOBAR\
")

f.close()

is expected to output the file which includes newline character according to platform.
Although | tested the code on Windows version of QGIS, the newline character becomes not CR+LF but LF.

This behaviour influences batch file generation like Processing plug-in.
The batch file which includes multibyte character & LF newline doesn't work on some
localized version of Windows (e.g., Japanese).

History

#1 - 2014-03-24 07:23 AM - Alexander Bruy
- Resolution set to up/downstream
- Status changed from Open to Rejected

| suppose this is not a QGIS issue but Python one.

#2 - 2014-03-24 09:01 AM - Tarot Osuiji

No.

If you call the Python bundled with QGIS from the command line, it handles correctly. However, when called from QGIS, it mishandled.
CR character seems to have been removed at all times during the communication between Python and QGIS.
